Skip to content

Loading…

Jasmine 1.1.1 breaks Rails (3.1.1) #147

Closed
plindelauf opened this Issue · 11 comments

9 participants

@plindelauf

Since Jasmine 1.1.1, Rails 3.1.1 (WebBrick, Rake, Cucumber, etc) fails with:

rake aborted!
uninitialized constant Jasmine
/Users/pascal/.rvm/gems/ruby-1.9.2-p290@rails311/gems/jasmine-1.1.1/lib/jasmine.rb:4:in `<top (required)>'
/Users/pascal/.rvm/gems/ruby-1.9.2-p290@rails311/gems/bundler-1.0.21/lib/bundler/runtime.rb:68:in `require'
/Users/pascal/.rvm/gems/ruby-1.9.2-p290@rails311/gems/bundler-1.0.21/lib/bundler/runtime.rb:68:in `block (2 levels) in require'
/Users/pascal/.rvm/gems/ruby-1.9.2-p290@rails311/gems/bundler-1.0.21/lib/bundler/runtime.rb:66:in `each'
/Users/pascal/.rvm/gems/ruby-1.9.2-p290@rails311/gems/bundler-1.0.21/lib/bundler/runtime.rb:66:in `block in require'
/Users/pascal/.rvm/gems/ruby-1.9.2-p290@rails311/gems/bundler-1.0.21/lib/bundler/runtime.rb:55:in `each'
/Users/pascal/.rvm/gems/ruby-1.9.2-p290@rails311/gems/bundler-1.0.21/lib/bundler/runtime.rb:55:in `require'
/Users/pascal/.rvm/gems/ruby-1.9.2-p290@rails311/gems/bundler-1.0.21/lib/bundler.rb:122:in `require'
/Users/pascal/Projecten/RoR/bizplay/config/application.rb:7:in `<top (required)>'
/Users/pascal/.rvm/rubies/ruby-1.9.2-p290/lib/ruby/site_ruby/1.9.1/rubygems/custom_require.rb:36:in `require'
/Users/pascal/.rvm/rubies/ruby-1.9.2-p290/lib/ruby/site_ruby/1.9.1/rubygems/custom_require.rb:36:in `require'
/Users/pascal/Projecten/RoR/bizplay/Rakefile:4:in `<top (required)>'
/Users/pascal/.rvm/gems/ruby-1.9.2-p290@global/gems/rake-0.9.2/lib/rake/rake_module.rb:25:in `load'
/Users/pascal/.rvm/gems/ruby-1.9.2-p290@global/gems/rake-0.9.2/lib/rake/rake_module.rb:25:in `load_rakefile'
/Users/pascal/.rvm/gems/ruby-1.9.2-p290@global/gems/rake-0.9.2/lib/rake/application.rb:495:in `raw_load_rakefile'
/Users/pascal/.rvm/gems/ruby-1.9.2-p290@global/gems/rake-0.9.2/lib/rake/application.rb:78:in `block in load_rakefile'
/Users/pascal/.rvm/gems/ruby-1.9.2-p290@global/gems/rake-0.9.2/lib/rake/application.rb:129:in `standard_exception_handling'
/Users/pascal/.rvm/gems/ruby-1.9.2-p290@global/gems/rake-0.9.2/lib/rake/application.rb:77:in `load_rakefile'
/Users/pascal/.rvm/gems/ruby-1.9.2-p290@global/gems/rake-0.9.2/lib/rake/application.rb:61:in `block in run'
/Users/pascal/.rvm/gems/ruby-1.9.2-p290@global/gems/rake-0.9.2/lib/rake/application.rb:129:in `standard_exception_handling'
/Users/pascal/.rvm/gems/ruby-1.9.2-p290@global/gems/rake-0.9.2/lib/rake/application.rb:59:in `run'
/Users/pascal/.rvm/gems/ruby-1.9.2-p290@global/gems/rake-0.9.2/bin/rake:32:in `<top (required)>'
/Users/pascal/.rvm/gems/ruby-1.9.2-p290@global/bin/rake:19:in `load'
/Users/pascal/.rvm/gems/ruby-1.9.2-p290@global/bin/rake:19:in `<main>'

Reverting to Jasmine 1.1.0 solves the problem.

@lightscalar

I am seeing the same behavior, same error messages. Reverting to 1.1.0 does indeed solve the problem on my end too. This error is also produced in Rails 3.1.0.

@eagerwombat

I have the same error after updating to rails 3.0.10

@NickClark

I am seeing this as well. First time trying jasmine. It happens when trying to initialize a new rails app

@jeffw-wherethebitsroam

I'm seeing this also.

@dannytatom

Here as well. :(

@charly

+1

@plindelauf

The 1.1.2 gem now works (I see now that I should have reported this issue in the jasmine-gem project; sorry).

@plindelauf plindelauf closed this
@plindelauf plindelauf reopened this
@plindelauf

Oops... nope. I still get a bunch of errors when pushing to Heroku. Other errors, though. Will analyse closer shortly.

@infews

Have you tried pointing at master for the jasmine-gem? We've did a bunch of work to make the gem work well against Rails 3.0, 3.1 and the asset pipeline.

@infews

Closing. We believe this has been fixed in later versions of Jasmine and the Jasmine gem.

@infews infews closed this
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Something went wrong with that request. Please try again.